View Issue Details

IDProjectCategoryView StatusLast Update
0000838OpenMPT[All Projects] Generalpublic2016-08-17 01:41
ReportermanxAssigned Tomanx 
PrioritylowSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product VersionOpenMPT 1.26.03.* (old testing) 
Target VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)Fixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Summary0000838: Include compiler name in premake temporary paths
Description

build/obj/ and build/lib, as well as bin/ subfolders currently do not contain a pathname component describing the compiler version.
This makes it impossible to switch between different compilers without rebuilding everything.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

manx

manx

2016-08-08 11:52

administrator   ~0002563

Last edited: 2016-08-13 11:03

View 2 revisions

Implementing this properly implies having also different bin/ output directories for every compiler, which again requires updating buildbot and release packaging scripts.

manx

manx

2016-08-13 11:04

administrator   ~0002597

My preferred layout would be (to illustrate, only some possible combinations are shown):

old:

bin/Win32
bin/Win32-Shared-Debug
bin/x64
bin/x64-Debug

new:

bin/release/vs2010-static/x86-32-win7
bin/release/vs2010-static/x86-32-winxp
bin/release/vs2010-static/x86-64-win7
bin/release/vs2015-static/x86-32-win7
bin/release/vs2015-static/x86-32-winxp
bin/release/vs2015-static/x86-64-win7
bin/debug/vs2010-shared/x86-32-win7
bin/debug/vs2010-shared/x86-32-winxp
bin/debug/vs2010-static/x86-64-win7
bin/debug/vs2015-shared/x86-32-win7
bin/debug/vs2015-shared/x86-32-winxp
bin/debug/vs2015-static/x86-64-win7
Saga Musix

Saga Musix

2016-08-13 19:42

administrator   ~0002598

I'm fine with that.

manx

manx

2016-08-14 13:20

administrator   ~0002599

r6873

Issue History

Date Modified Username Field Change
2016-07-31 06:43 manx New Issue
2016-07-31 06:43 manx Status new => assigned
2016-07-31 06:43 manx Assigned To => manx
2016-07-31 06:51 manx Target Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2016-08-08 11:52 manx Note Added: 0002563
2016-08-13 11:03 manx Note Edited: 0002563 View Revisions
2016-08-13 11:04 manx Note Added: 0002597
2016-08-13 19:42 Saga Musix Note Added: 0002598
2016-08-14 13:20 manx Status assigned => resolved
2016-08-14 13:20 manx Resolution open => fixed
2016-08-14 13:20 manx Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2016-08-14 13:20 manx Note Added: 0002599